Subject: Re: confused about remote branch management

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Jul 2014 14:41:19 -0700

Ross Boylan <[email-masked]> writes:

> I still don't know what I need to do to update origin/master in my local
> repo.
>
> Regarding Kevin's suggestion, I just tried "git fetch origin master".

I think Kevin's suggestion was 'To older git, "git fetch origin
master" tells it to fetch master without updating origin/master, so
it is understandable that your origin/master was not molested'.

Either

	git fetch origin master:refs/remotes/origin/master

or if you want to be more explicit and unambiguous:

	git fetch origin refs/heads/master:refs/remotes/origin/master

should work on all versions of git.